// 추천용도
function purpose_add(mode) {
	var name = $("#name_purpose").val();

	if (mode == 'insert')
	{
		$.ajax({
			url: 'index_admin_purpose_add_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				name: name,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "fail_name_already_exists")
					{
						alert("'"+name+"'은 이미 등록되어 있는 추천용도입니다.");
					}
					else if (data == "fail")
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("목록에 추가 하였습니다.");
						location.reload(true);
					}
					console.log(data);
				}
			}
		});
	}

}

function purpose_update(no,mode) {
	var list_data = $("#purpose_list_data").val();
	//alert(no + " " + mode + " " + list_data);

	if (mode == 'update')
	{
		$.ajax({
			url: 'index_admin_purpose_update_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				no: no,
				list_data: list_data,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "success")
					{
						alert("적용 되었습니다.");
					}
					else if (data == "fail")
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					console.log(data);
				}
			}
		});
	}

}


function purpose_last_get_data(no,storeid,memid) {
	$.ajax({
		url: 'index_admin_purpose_last_get_data_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			s: $('#s').text(),
			no: no,
			storeid: storeid,
			memid: memid,
			action:'ajax'
		},
		success:function(data)
		{
			if(data)
			{
				var get_data_arr = data.split("Œ");
				var list_data = "";
				$('input:checkbox[name="purpose_list_checkbox"]').each(function() {
					if (jQuery.inArray($(this).val(), get_data_arr) >= 0)
					{
						$(this).prop("checked", true);
						list_data = list_data + $(this).val() + "Œ";
					} else {
						$(this).prop("checked", false);
					}
				});
				$("#purpose_list_data").val(list_data);
				alert("직전 선택사항을 적용하겠습니다.");
			} else {
				alert("[알림] 직전 선택사항이 존재하지 않습니다.");
			}
		}
	});
}

$(document).ready(function() {
	$("#purpose_list_checkbox_All").click(function() {
		if($("#purpose_list_checkbox_All").is(":checked")) $("input[name=purpose_list_checkbox]").prop("checked", true);
		else $("input[name=purpose_list_checkbox]").prop("checked", false);
		purpose_list_checkbox_datas();
	});
	$("input:checkbox[name=purpose_list_checkbox]").click(function() {
		var total = $("input[name=purpose_list_checkbox]").length;
		var checked = $("input[name=purpose_list_checkbox]:checked").length;

		if(total != checked) $("#purpose_list_checkbox_All").prop("checked", false);
		else $("#purpose_list_checkbox_All").prop("checked", true);
		purpose_list_checkbox_datas();
	});
});

function purpose_list_checkbox_datas() {
	var data = "";
	$('input:checkbox[name="purpose_list_checkbox"]').each(function() {
		if (this.checked == true)
		{
			data = data + $(this).val() + "Œ";
		}
	});
	$("#purpose_list_data").val(data);
}







// 게임
function game_name_add(mode) {
	var name = $("#name_game_name").val();
	//alert(no + " " + name);

	if (mode == 'insert')
	{
		$.ajax({
			url: 'index_admin_game_name_add_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				name: name,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "fail_name_already_exists")
					{
						alert("'"+name+"'은 이미 등록되어 있는 추천용도입니다.");
					}
					else if (data == "fail")
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("목록에 추가 하였습니다.");
						location.reload(true);
					}
					console.log(data);
				}
			}
		});
	}

}

function game_name_update(no,mode) {
	var list_data = $("#game_name_list_data").val();
	//alert(no + " " + mode + " " + list_data);

	if (mode == 'update')
	{
		$.ajax({
			url: 'index_admin_game_name_update_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				no: no,
				list_data: list_data,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "success")
					{
						alert("적용 되었습니다.");
					}
					else if (data == "fail")
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					console.log(data);
				}
			}
		});
	}

}


function game_name_last_get_data(no,storeid,memid) {
	$.ajax({
		url: 'index_admin_game_name_last_get_data_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			s: $('#s').text(),
			no: no,
			storeid: storeid,
			memid: memid,
			action:'ajax'
		},
		success:function(data)
		{
			if(data)
			{
				var get_data_arr = data.split("Œ");
				var list_data = "";
				$('input:checkbox[name="game_name_list_checkbox"]').each(function() {
					if (jQuery.inArray($(this).val(), get_data_arr) >= 0)
					{
						$(this).prop("checked", true);
						list_data = list_data + $(this).val() + "Œ";
					} else {
						$(this).prop("checked", false);
					}
				});
				$("#game_name_list_data").val(list_data);
				alert("직전 선택사항을 적용하겠습니다.");
			} else {
				alert("[알림] 직전 선택사항이 존재하지 않습니다.");
			}
		}
	});
}

$(document).ready(function() {
	$("#game_name_list_checkbox_All").click(function() {
		if($("#game_name_list_checkbox_All").is(":checked")) $("input[name=game_name_list_checkbox]").prop("checked", true);
		else $("input[name=game_name_list_checkbox]").prop("checked", false);
		game_name_list_checkbox_datas();
	});
	$("input:checkbox[name=game_name_list_checkbox]").click(function() {
		var total = $("input[name=game_name_list_checkbox]").length;
		var checked = $("input[name=game_name_list_checkbox]:checked").length;

		if(total != checked) $("#game_name_list_checkbox_All").prop("checked", false);
		else $("#game_name_list_checkbox_All").prop("checked", true);
		game_name_list_checkbox_datas();
	});
});

function game_name_list_checkbox_datas() {
	var data = "";
	$('input:checkbox[name="game_name_list_checkbox"]').each(function() {
		if (this.checked == true)
		{
			data = data + $(this).val() + "Œ";
		}
	});
	$("#game_name_list_data").val(data);
}







// 클라이언트
function client_number_add(mode) {
	var name = $("#name_client_number").val();
	//alert(no + " " + name);

	if (mode == 'insert')
	{
		$.ajax({
			url: 'index_admin_client_number_add_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				name: name,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "fail_name_already_exists")
					{
						alert("'"+name+"'은 이미 등록되어 있는 추천용도입니다.");
					}
					else if (data == "fail")
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("목록에 추가 하였습니다.");
						location.reload(true);
					}
					console.log(data);
				}
			}
		});
	}

}

function client_number_update(no,mode) {
	var list_data = $("#client_number_list_data").val();
	//alert(no + " " + mode + " " + list_data);

	if (mode == 'update')
	{
		$.ajax({
			url: 'index_admin_client_number_update_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				no: no,
				list_data: list_data,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "success")
					{
						alert("적용 되었습니다.");
					}
					else if (data == "fail")
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					console.log(data);
				}
			}
		});
	}

}


function client_number_last_get_data(no,storeid,memid) {
	$.ajax({
		url: 'index_admin_client_number_last_get_data_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			s: $('#s').text(),
			no: no,
			storeid: storeid,
			memid: memid,
			action:'ajax'
		},
		success:function(data)
		{
			if(data)
			{
				var get_data_arr = data.split("Œ");
				var list_data = "";
				$('input:radio[name="client_number_list_checkbox"]').each(function() {
					if (jQuery.inArray($(this).val(), get_data_arr) >= 0)
					{
						$(this).prop("checked", true);
						list_data = list_data + $(this).val() + "Œ";
					} else {
						$(this).prop("checked", false);
					}
				});
				$("#client_number_list_data").val(list_data);
				alert("직전 선택사항을 적용하겠습니다.");
			} else {
				alert("[알림] 직전 선택사항이 존재하지 않습니다.");
			}
		}
	});
}

$(document).ready(function() {
	$("#client_number_list_checkbox_All").click(function() {
		if($("#client_number_list_checkbox_All").is(":checked")) $("input[name=client_number_list_checkbox]").prop("checked", true);
		else $("input[name=client_number_list_checkbox]").prop("checked", false);
		client_number_list_checkbox_datas();
	});
	$("input:radio[name=client_number_list_checkbox]").click(function() {
		var total = $("input[name=client_number_list_checkbox]").length;
		var checked = $("input[name=client_number_list_checkbox]:checked").length;

		if(total != checked) $("#client_number_list_checkbox_All").prop("checked", false);
		else $("#client_number_list_checkbox_All").prop("checked", true);
		client_number_list_checkbox_datas();
	});
});

function client_number_list_checkbox_datas() {
	var data = "";
	$('input:radio[name="client_number_list_checkbox"]').each(function() {
		if (this.checked == true)
		{
			data = $(this).val();
		}
	});
	$("#client_number_list_data").val(data);
}







// GPU RAM
function gpu_ram_add(mode) {
	var name = $("#name_gpu_ram").val();
	//alert(name);

	if (mode == 'insert')
	{
		$.ajax({
			url: 'index_admin_gpu_ram_add_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				name: name,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "fail_name_already_exists")
					{
						alert("'"+name+"'은 이미 등록되어 있는 추천용도입니다.");
					}
					else if (data == "fail")
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("목록에 추가 하였습니다.");
						location.reload(true);
					}
					console.log(data);
				}
			}
		});
	}

}

function gpu_ram_update(no,mode) {
	var list_data = $("#gpu_ram_list_data").val();
	//alert(no + " " + mode + " " + list_data);

	if (mode == 'update')
	{
		$.ajax({
			url: 'index_admin_gpu_ram_update_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				no: no,
				list_data: list_data,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "success")
					{
						alert("적용 되었습니다.");
					}
					else if (data == "fail")
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					console.log(data);
				}
			}
		});
	}

}


function gpu_ram_last_get_data(no,storeid,memid) {
	$.ajax({
		url: 'index_admin_gpu_ram_last_get_data_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			s: $('#s').text(),
			no: no,
			storeid: storeid,
			memid: memid,
			action:'ajax'
		},
		success:function(data)
		{
			if(data)
			{
				var get_data_arr = data.split("Œ");
				var list_data = "";
				$('input:radio[name="gpu_ram_list_checkbox"]').each(function() {
					if (jQuery.inArray($(this).val(), get_data_arr) >= 0)
					{
						$(this).prop("checked", true);
						list_data = list_data + $(this).val() + "Œ";
					} else {
						$(this).prop("checked", false);
					}
				});
				$("#gpu_ram_list_data").val(list_data);
				alert("직전 선택사항을 적용하겠습니다.");
			} else {
				alert("[알림] 직전 선택사항이 존재하지 않습니다.");
			}
		}
	});
}

$(document).ready(function() {
	$("#gpu_ram_list_checkbox_All").click(function() {
		if($("#gpu_ram_list_checkbox_All").is(":checked")) $("input[name=gpu_ram_list_checkbox]").prop("checked", true);
		else $("input[name=gpu_ram_list_checkbox]").prop("checked", false);
		gpu_ram_list_checkbox_datas();
	});
	$("input:radio[name=gpu_ram_list_checkbox]").click(function() {
		var total = $("input[name=gpu_ram_list_checkbox]").length;
		var checked = $("input[name=gpu_ram_list_checkbox]:checked").length;

		if(total != checked) $("#gpu_ram_list_checkbox_All").prop("checked", false);
		else $("#gpu_ram_list_checkbox_All").prop("checked", true);
		gpu_ram_list_checkbox_datas();
	});
});

function gpu_ram_list_checkbox_datas() {
	var data = "";
	$('input:radio[name="gpu_ram_list_checkbox"]').each(function() {
		if (this.checked == true)
		{
			data = $(this).val();
		}
	});
	$("#gpu_ram_list_data").val(data);
}







function entire_update(no,mode) {
	var list_data_purpose = $("#purpose_list_data").val();
	var list_data_game_name = $("#game_name_list_data").val();
	var list_data_client_number = $("#client_number_list_data").val();
	var list_data_gpu_ram = $("#gpu_ram_list_data").val();
	var list_data_it_explan = getEditorContent("it_explan");

	if (mode == 'update')
	{
		$.ajax({
			url: 'index_admin_entire_update_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				no: no,
				list_data_purpose: list_data_purpose,
				list_data_game_name: list_data_game_name,
				list_data_client_number: list_data_client_number,
				list_data_gpu_ram: list_data_gpu_ram,
				list_data_it_explan: list_data_it_explan,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "success")
					{
						alert("적용 되었습니다.");
					}
					else if (data == "fail")
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("서버 장애가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					console.log(data);
				}
			}
		});
	}

}

function entire_last_get_data(no,storeid,memid) {
	$.ajax({
		url: 'index_admin_entire_last_get_data_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			s: $('#s').text(),
			no: no,
			storeid: storeid,
			memid: memid,
			action:'ajax'
		},
		success:function(data)
		{
			if(data)
			{
				$("input[name=purpose_list_checkbox_All]").prop("checked", false);
				$("input[name=game_name_list_checkbox_All]").prop("checked", false);
				var get_main_data_arr = data.split("Ž");
				for (i=0; i<get_main_data_arr.length; i++)
				{
					var get_data_arr = get_main_data_arr[i].split("Œ");
					switch (i)
					{
						case 0: // purpose
							var list_data = "";
							$('input:checkbox[name="purpose_list_checkbox"]').each(function() {
								if (jQuery.inArray($(this).val(), get_data_arr) >= 0)
								{
									$(this).prop("checked", true);
									list_data = list_data + $(this).val() + "Œ";
								} else {
									$(this).prop("checked", false);
								}
							});
							$("#purpose_list_data").val(list_data);
							break;
						case 1: // game_name
							var list_data = "";
							$('input:checkbox[name="game_name_list_checkbox"]').each(function() {
								if (jQuery.inArray($(this).val(), get_data_arr) >= 0)
								{
									$(this).prop("checked", true);
									list_data = list_data + $(this).val() + "Œ";
								} else {
									$(this).prop("checked", false);
								}
							});
							$("#game_name_list_data").val(list_data);
							break;
						case 2: // client_number
							var list_data = "";
							$('input:radio[name="client_number_list_checkbox"]').each(function() {
								if (jQuery.inArray($(this).val(), get_data_arr) >= 0)
								{
									$(this).prop("checked", true);
									list_data = list_data + $(this).val() + "Œ";
								} else {
									$(this).prop("checked", false);
								}
							});
							$("#client_number_list_data").val(list_data);
							break;
						case 3: // gpu_ram
							var list_data = "";
							$('input:radio[name="gpu_ram_list_checkbox"]').each(function() {
								if (jQuery.inArray($(this).val(), get_data_arr) >= 0)
								{
									$(this).prop("checked", true);
									list_data = list_data + $(this).val() + "Œ";
								} else {
									$(this).prop("checked", false);
								}
							});
							$("#gpu_ram_list_data").val(list_data);
							break;
						case 4: // it_explan
							var list_data = get_main_data_arr[i];
							setEditorContent("it_explan", list_data);
							break;
					}
				}
				alert("직전 선택사항을 적용하겠습니다.");

			} else {
				alert("[알림] 직전 선택사항이 존재하지 않습니다.");
			}
		}
	});
}

// 스마트에디터2(smartedit2) 내용을 설정하는 함수
function setEditorContent(id, content) {
    oEditors.getById[id].exec("SET_IR", [content]);
}

// 스마트에디터2(smartedit2)의 내용을 가져오는 함수
function getEditorContent(id) {
    return oEditors.getById[id].getIR();
}

// 서버로부터 데이터를 가져온 후 출력할 때 JavaScript에서 특수 문자를 이스케이프합니다.
function escapeHtml(text) {
    var map = {
        '&': '&amp;',
        '<': '&lt;',
        '>': '&gt;',
        '"': '&quot;',
        "'": '&#039;'
    };

    return text.replace(/[&<>"']/g, function(m) { return map[m]; });
}
